> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# cursor

> Cursor Cloud Agents

**Server path:** `/cursor` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                    | Description                       |
| ------------------------------------------------------- | --------------------------------- |
| [`cursor_archive_agent`](#cursor_archive_agent)         | Archive an agent                  |
| [`cursor_cancel_run`](#cursor_cancel_run)               | Cancel a run                      |
| [`cursor_create_agent`](#cursor_create_agent)           | Create an agent                   |
| [`cursor_create_run`](#cursor_create_run)               | Create a run                      |
| [`cursor_create_sub_token`](#cursor_create_sub_token)   | Create A User-Scoped Worker Token |
| [`cursor_delete_agent`](#cursor_delete_agent)           | Delete an agent permanently       |
| [`cursor_download_artifact`](#cursor_download_artifact) | Download an artifact              |
| [`cursor_get_agent`](#cursor_get_agent)                 | Get an agent                      |
| [`cursor_get_api_key_info`](#cursor_get_api_key_info)   | API key info                      |
| [`cursor_get_run`](#cursor_get_run)                     | Get a run                         |
| [`cursor_list_agents`](#cursor_list_agents)             | List agents                       |
| [`cursor_list_artifacts`](#cursor_list_artifacts)       | List artifacts                    |
| [`cursor_list_models`](#cursor_list_models)             | List models                       |
| [`cursor_list_repositories`](#cursor_list_repositories) | List GitHub repositories          |
| [`cursor_list_runs`](#cursor_list_runs)                 | List runs                         |
| [`cursor_stream_run`](#cursor_stream_run)               | Stream a run                      |
| [`cursor_unarchive_agent`](#cursor_unarchive_agent)     | Unarchive an agent                |

***

## cursor\_archive\_agent

Archive an agent

**Parameters:**

| Parameter | Type   | Required | Default | Description                      |
| --------- | ------ | -------- | ------- | -------------------------------- |
| `id`      | string | Yes      | —       | Unique identifier for the agent. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Unique identifier for the agent."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## cursor\_cancel\_run

Cancel a run

**Parameters:**

| Parameter | Type   | Required | Default | Description                      |
| --------- | ------ | -------- | ------- | -------------------------------- |
| `id`      | string | Yes      | —       | Unique identifier for the agent. |
| `runId`   | string | Yes      | —       | Unique identifier for the run.   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Unique identifier for the agent."
      },
      "runId": {
        "type": "string",
        "description": "Unique identifier for the run."
      }
    },
    "required": [
      "PCID",
      "id",
      "runId"
    ]
  }
  ```
</Expandable>

***

## cursor\_create\_agent

Create an agent

**Parameters:**

| Parameter             | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| --------------------- | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `autoCreatePR`        | boolean   | No       | —       | Whether Cursor should open a pull request when the run completes.                                                                                                                                                                                                                   |
| `autoGenerateBranch`  | boolean   | No       | —       | Whether to create a new branch (true) or push to an existing head branch (false). Only applies when `repos[0].prUrl` is provided.                                                                                                                                                   |
| `branchName`          | string    | No       | —       | Custom branch name for the agent to create.                                                                                                                                                                                                                                         |
| `envVars`             | object    | No       | —       | Session-scoped environment variables for the cloud agent. Values are encrypted at rest, injected into the agent's shell, and deleted with the agent. Names must be non-empty, 1024 bytes or less, and cannot start with `CURSOR_`. Values must be non-empty and 4096 bytes or less. |
| `model`               | object    | No       | —       | The model value                                                                                                                                                                                                                                                                     |
| `prompt`              | object    | Yes      | —       | The prompt value                                                                                                                                                                                                                                                                    |
| `repos`               | object\[] | Yes      | —       | Repository configuration. v1 currently supports one entry.                                                                                                                                                                                                                          |
| `skipReviewerRequest` | boolean   | No       | —       | Whether to skip requesting the user as a reviewer when Cursor opens a PR. Only applies when `autoCreatePR` is true.                                                                                                                                                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "autoCreatePR": {
        "type": "boolean",
        "description": "Whether Cursor should open a pull request when the run completes."
      },
      "autoGenerateBranch": {
        "type": "boolean",
        "description": "Whether to create a new branch (true) or push to an existing head branch (false). Only applies when `repos[0].prUrl` is provided."
      },
      "branchName": {
        "type": "string",
        "description": "Custom branch name for the agent to create."
      },
      "envVars": {
        "type": "object",
        "description": "Session-scoped environment variables for the cloud agent. Values are encrypted at rest, injected into the agent's shell, and deleted with the agent. Names must be non-empty, 1024 bytes or less, and cannot start with `CURSOR_`. Values must be non-empty and 4096 bytes or less."
      },
      "model": {
        "type": "object",
        "description": "The model value",
        "properties": {
          "id": {
            "type": "string",
            "description": "Explicit model ID returned by GET /v1/models. Omit `model` from the request to use the configured default."
          },
          "params": {
            "type": "array",
            "items": {
              "type": "object"
            },
            "description": "Per-model parameters such as reasoning effort or max mode. Use only parameters supported by the selected model."
          }
        },
        "required": [
          "id"
        ]
      },
      "prompt": {
        "type": "object",
        "description": "The prompt value",
        "properties": {
          "text": {
            "type": "string",
            "description": "Task instruction for the agent."
          },
          "images": {
            "type": "array",
            "items": {
              "type": "object"
            },
            "description": "Optional base64-encoded images. Maximum 5 images, 15 MB each."
          }
        },
        "required": [
          "text"
        ]
      },
      "repos": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "url": {
              "type": "string",
              "description": "GitHub repository URL. Required unless `prUrl` is provided."
            },
            "startingRef": {
              "type": "string",
              "description": "Branch, tag, or commit hash to use as the starting point."
            },
            "prUrl": {
              "type": "string",
              "format": "uri",
              "description": "GitHub pull request URL. When provided, the agent works on this PR's repository and branches; `url` and `startingRef` are ignored."
            }
          }
        },
        "description": "Repository configuration. v1 currently supports one entry."
      },
      "skipReviewerRequest": {
        "type": "boolean",
        "description": "Whether to skip requesting the user as a reviewer when Cursor opens a PR. Only applies when `autoCreatePR` is true."
      }
    },
    "required": [
      "PCID",
      "prompt",
      "repos"
    ]
  }
  ```
</Expandable>

***

## cursor\_create\_run

Create a run

**Parameters:**

| Parameter | Type   | Required | Default | Description                      |
| --------- | ------ | -------- | ------- | -------------------------------- |
| `id`      | string | Yes      | —       | Unique identifier for the agent. |
| `prompt`  | object | Yes      | —       | The prompt value                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Unique identifier for the agent."
      },
      "prompt": {
        "type": "object",
        "description": "The prompt value",
        "properties": {
          "text": {
            "type": "string",
            "description": "Follow-up instruction text."
          },
          "images": {
            "type": "array",
            "items": {
              "type": "object"
            },
            "description": "Optional base64-encoded images. Maximum 5 images, 15 MB each."
          }
        },
        "required": [
          "text"
        ]
      }
    },
    "required": [
      "PCID",
      "id",
      "prompt"
    ]
  }
  ```
</Expandable>

***

## cursor\_create\_sub\_token

Create A User-Scoped Worker Token

**Parameters:**

| Parameter      | Type    | Required | Default | Description                                                                          |
| -------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------ |
| `forUserEmail` | string  | No       | —       | Active team member email. Case-insensitive. Mutually exclusive with `forUserId`.     |
| `forUserId`    | integer | No       | —       | Active team member's numeric Cursor user ID. Mutually exclusive with `forUserEmail`. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "forUserEmail": {
        "type": "string",
        "description": "Active team member email. Case-insensitive. Mutually exclusive with `forUserId`."
      },
      "forUserId": {
        "type": "integer",
        "description": "Active team member's numeric Cursor user ID. Mutually exclusive with `forUserEmail`."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## cursor\_delete\_agent

Delete an agent permanently

**Parameters:**

| Parameter | Type   | Required | Default | Description                      |
| --------- | ------ | -------- | ------- | -------------------------------- |
| `id`      | string | Yes      | —       | Unique identifier for the agent. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Unique identifier for the agent."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## cursor\_download\_artifact

Download an artifact

**Parameters:**

| Parameter | Type   | Required | Default | Description                                |
| --------- | ------ | -------- | ------- | ------------------------------------------ |
| `id`      | string | Yes      | —       | Unique identifier for the agent.           |
| `path`    | string | Yes      | —       | Relative artifact path under `artifacts/`. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Unique identifier for the agent."
      },
      "path": {
        "type": "string",
        "description": "Relative artifact path under `artifacts/`."
      }
    },
    "required": [
      "PCID",
      "id",
      "path"
    ]
  }
  ```
</Expandable>

***

## cursor\_get\_agent

Get an agent

**Parameters:**

| Parameter | Type   | Required | Default | Description                      |
| --------- | ------ | -------- | ------- | -------------------------------- |
| `id`      | string | Yes      | —       | Unique identifier for the agent. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Unique identifier for the agent."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## cursor\_get\_api\_key\_info

API key info

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## cursor\_get\_run

Get a run

**Parameters:**

| Parameter | Type   | Required | Default | Description                      |
| --------- | ------ | -------- | ------- | -------------------------------- |
| `id`      | string | Yes      | —       | Unique identifier for the agent. |
| `runId`   | string | Yes      | —       | Unique identifier for the run.   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Unique identifier for the agent."
      },
      "runId": {
        "type": "string",
        "description": "Unique identifier for the run."
      }
    },
    "required": [
      "PCID",
      "id",
      "runId"
    ]
  }
  ```
</Expandable>

***

## cursor\_list\_agents

List agents

**Parameters:**

| Parameter         | Type    | Required | Default | Description                                   |
| ----------------- | ------- | -------- | ------- | --------------------------------------------- |
| `limit`           | integer | No       | —       | Number of agents to return.                   |
| `cursor`          | string  | No       | —       | Pagination cursor from the previous response. |
| `prUrl`           | string  | No       | —       | Filter agents by GitHub pull request URL.     |
| `includeArchived` | boolean | No       | —       | Whether to include archived agents.           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "limit": {
        "type": "integer",
        "description": "Number of agents to return."
      },
      "cursor": {
        "type": "string",
        "description": "Pagination cursor from the previous response."
      },
      "prUrl": {
        "type": "string",
        "description": "Filter agents by GitHub pull request URL."
      },
      "includeArchived": {
        "type": "boolean",
        "description": "Whether to include archived agents."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## cursor\_list\_artifacts

List artifacts

**Parameters:**

| Parameter | Type   | Required | Default | Description                      |
| --------- | ------ | -------- | ------- | -------------------------------- |
| `id`      | string | Yes      | —       | Unique identifier for the agent. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Unique identifier for the agent."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## cursor\_list\_models

List models

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## cursor\_list\_repositories

List GitHub repositories

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## cursor\_list\_runs

List runs

**Parameters:**

| Parameter | Type    | Required | Default | Description                                   |
| --------- | ------- | -------- | ------- | --------------------------------------------- |
| `id`      | string  | Yes      | —       | Unique identifier for the agent.              |
| `limit`   | integer | No       | —       | Maximum number of results to return           |
| `cursor`  | string  | No       | —       | Pagination cursor from the previous response. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Unique identifier for the agent."
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "cursor": {
        "type": "string",
        "description": "Pagination cursor from the previous response."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## cursor\_stream\_run

Stream a run

**Parameters:**

| Parameter       | Type   | Required | Default | Description                                              |
| --------------- | ------ | -------- | ------- | -------------------------------------------------------- |
| `id`            | string | Yes      | —       | Unique identifier for the agent.                         |
| `runId`         | string | Yes      | —       | Unique identifier for the run.                           |
| `Last-Event-ID` | string | No       | —       | Resume from a previously received event ID for this run. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Unique identifier for the agent."
      },
      "runId": {
        "type": "string",
        "description": "Unique identifier for the run."
      },
      "Last-Event-ID": {
        "type": "string",
        "description": "Resume from a previously received event ID for this run."
      }
    },
    "required": [
      "PCID",
      "id",
      "runId"
    ]
  }
  ```
</Expandable>

***

## cursor\_unarchive\_agent

Unarchive an agent

**Parameters:**

| Parameter | Type   | Required | Default | Description                      |
| --------- | ------ | -------- | ------- | -------------------------------- |
| `id`      | string | Yes      | —       | Unique identifier for the agent. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Unique identifier for the agent."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>
